package com.capgemini.reports.definition.r07report.data.filter.comparators.part;

import com.capgemini.reports.bomlineholder.BOMLineHolder;

/**
 * Compares Alternates' {@link BOMLineHolder}s.
 */
public class AlternateBLComparator extends PartBLComparator {

    private static final long serialVersionUID = 4589727916093844161L;

    @Override
    public int compare(final BOMLineHolder thisPartBL, final BOMLineHolder otherPartBL) {
        int cmp = super.compare(thisPartBL, otherPartBL);
        if (cmp != 0) {
            return cmp;
        }
        return new AlternateComparator().compare(thisPartBL.getSnecmaObject(), otherPartBL.getSnecmaObject());
    }

}
